SDCParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
SDCParser Class Reference

the main class to read a StarOffice sdc file More...

`#include <SDCParser.hxx>`

Inheritance diagram for SDCParser:

## Public Member Functions
| SDCParser (STOFFInputStreamPtr input, STOFFHeader *header)
| constructor More...
virtual | ~SDCParser ()
| destructor More...
void | setDocumentPassword (char const *passwd)
| set the document password More...
bool | checkHeader (STOFFHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGSpreadsheetInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
STOFFParserStatePtr | getParserState ()
| returns the parser state More...
STOFFHeader * | getHeader ()
| returns the header More...
STOFFInputStreamPtr & | getInput ()
| returns the actual input More...
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension More...
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | createDocument (librevenge::RVNGSpreadsheetInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| parses the different OLE, ... More...
bool | sendSpreadsheet ()
| try to send the spreadsheet More...
Protected Member Functions inherited from STOFFSpreadsheetParser
| STOFFSpreadsheetParser (STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFSpreadsheetParser (STOFFParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFParser (STOFFParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
char const * | m_password
| the password More...
shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser More...
shared_ptr< SDCParserInternal::State > | m_state
| the state More...

## Private Member Functions
| SDCParser (SDCParser const &orig)
SDCParser & | operator= (SDCParser const &orig)

## Detailed Description

the main class to read a StarOffice sdc file

## Constructor & Destructor Documentation

SDCParser::SDCParser | ( | STOFFInputStreamPtr | input,
|  | STOFFHeader * | header
| ) |  |

constructor

SDCParser::~SDCParser | ( |  | ) |
| virtual

destructor

SDCParser::SDCParser | ( | SDCParser const & | orig | ) |
| private

## Member Function Documentation

bool SDCParser::checkHeader | ( | STOFFHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements STOFFParser.

Referenced by parse().

void SDCParser::createDocument | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

bool SDCParser::createZones | ( |  | ) |
| protected

parses the different OLE, ...

Referenced by parse().

SDCParser& SDCParser::operator= | ( | SDCParser const & | orig | ) |
| private

void SDCParser::parse | ( | librevenge::RVNGSpreadsheetInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements STOFFSpreadsheetParser.

bool SDCParser::sendSpreadsheet | ( |  | ) |
| protected

try to send the spreadsheet

Referenced by parse().

void SDCParser::setDocumentPassword | ( | char const * | passwd | ) |
| inline

set the document password

Referenced by STOFFDocumentInternal::getSpreadsheetParserFromHeader().

## Member Data Documentation

shared_ptr<STOFFOLEParser> SDCParser::m_oleParser
| protected

the ole parser

Referenced by createZones().

char const* SDCParser::m_password
| protected

the password

Referenced by createZones().

shared_ptr<SDCParserInternal::State> SDCParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), and sendSpreadsheet().

The documentation for this class was generated from the following files:

- SDCParser.hxx
- SDCParser.cxx